package com.yxcheng.token.common.service;

import java.io.Serializable;
import java.util.List;

public interface BaseMapper<E,T> {

    int countByExample(E example);


    int deleteByExample(E example);


    int deleteByPrimaryKey(Serializable id);


    int insert(T record);


    int insertSelective(T record);


    List<T> selectByExample(E example);


    T selectByPrimaryKey(Serializable id);


    int updateByExampleSelective(T record, E example);


    int updateByExample(T record, E example);


    int updateByPrimaryKeySelective(T record);


    int updateByPrimaryKey(T record);
}
